#!/bin/bash -x

echo "Start building" > /tmp/build.log
echo "Base dir: $1" >> /tmp/build.log
echo "Current dir: `pwd`" >> /tmp/build.log

ls $1 >> /tmp/build.log
echo "+_______________1111" >> /tmp/build.log
cd $1
rm -rf build

echo "+_______________222" >> /tmp/build.log
cmake -DVENDOR=beken -DBOARD=bk7231u -DCOMPILER=arm-gcc -DAFR_ENABLE_TESTS=1 -DAFR_TOOLCHAIN_PATH=/usr/local/share/toolchain/gcc-arm-none-eabi-5_4-2016q3/bin -S. -Bbuild -G"Unix Makefiles"
echo "+_______________333" >> /tmp/build.log
cd build
make -j8 >> /tmp/build.log 2>&1
